package rendering //nolint:testpackage

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestMimeLookupList(t *testing.T) {
	for _, tt := range []struct {
		name     string
		value    string
		expected []string
	}{
		{"basic", "text/typst", []string{"text/typst", "text/*", "*/*", ""}},
	} {
		t.Run(tt.name, func(t *testing.T) {
			assert.Equal(t, tt.expected, mimelookuplist(tt.value))
		})
	}
}
